Index: /LMDZ5/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /LMDZ5/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 1897)
+++ /LMDZ5/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 1898)
@@ -4,217 +4,215 @@
 MODULE phys_output_write_mod
 
-    USE phytrac_mod, ONLY : d_tr_cl, d_tr_th, d_tr_cv, d_tr_lessi_impa, &
-        d_tr_lessi_nucl, d_tr_insc, d_tr_bcscav, d_tr_evapls, d_tr_ls,  &
-        d_tr_trsp, d_tr_sscav, d_tr_sat, d_tr_uscav
-
-
-! Author: Abderrahmane IDELKADI (original include file)
-! Author: Laurent FAIRHEAD (transformation to module/subroutine)
-! Author: Ulysse GERARD (effective implementation)
-
-
-   CONTAINS 
-     
-! ug Routine pour définir (los du premier passageà) ET sortir les variables
-    SUBROUTINE phys_output_write(itap, pdtphys, paprs, pphis, &
-   &                  pplay, lmax_th, aerosol_couple,         &
-   &                  ok_ade, ok_aie, ivap, new_aod, ok_sync, &
-   &                  ptconv, read_climoz, clevSTD, freq_moyNMC, ptconvth, &
-   &                  d_t, qx, d_qx, zmasse, flag_aerosol_strat)
-
-! This subroutine does the actual writing of diagnostics that were
-! defined and initialised in phys_output_mod.F90
+  USE phytrac_mod, ONLY : d_tr_cl, d_tr_th, d_tr_cv, d_tr_lessi_impa, &
+       d_tr_lessi_nucl, d_tr_insc, d_tr_bcscav, d_tr_evapls, d_tr_ls,  &
+       d_tr_trsp, d_tr_sscav, d_tr_sat, d_tr_uscav
+
+  ! Author: Abderrahmane IDELKADI (original include file)
+  ! Author: Laurent FAIRHEAD (transformation to module/subroutine)
+  ! Author: Ulysse GERARD (effective implementation)
+
+CONTAINS 
+
+  ! ug Routine pour définir (los du premier passageà) ET sortir les variables
+  SUBROUTINE phys_output_write(itap, pdtphys, paprs, pphis, &
+       pplay, lmax_th, aerosol_couple,         &
+       ok_ade, ok_aie, ivap, new_aod, ok_sync, &
+       ptconv, read_climoz, clevSTD, freq_moyNMC, ptconvth, &
+       d_t, qx, d_qx, zmasse, flag_aerosol_strat)
+
+    ! This subroutine does the actual writing of diagnostics that were
+    ! defined and initialised in phys_output_mod.F90
 
     USE dimphy, only: klon, klev, klevp1
     USE control_mod, only: day_step, iphysiq
     USE phys_output_ctrlout_mod, only: o_phis, o_aire, is_ter, is_lic, is_oce, &
-                                       is_ave, is_sic, o_contfracATM, o_contfracOR, &
-                                       o_aireTER, o_flat, o_slp, o_tsol, &
-                                       o_t2m, o_t2m_min, o_t2m_max, &
-                                       o_q2m, o_ustar, o_u10m, o_v10m, &
-                                       o_wind10m, o_wind10max, o_sicf, &
-                                       o_psol, o_mass, o_qsurf, o_qsol, &
-                                       o_precip, o_ndayrain, o_plul, o_pluc, &
-                                       o_snow, o_msnow, o_fsnow, o_evap, &
-                                       o_tops, o_tops0, o_topl, o_topl0, &
-                                       o_SWupTOA, o_SWupTOAclr, o_SWdnTOA, &
-                                       o_SWdnTOAclr, o_nettop, o_SWup200, &
-                                       o_SWup200clr, o_SWdn200, o_SWdn200clr, &
-                                       o_LWup200, o_LWup200clr, o_LWdn200, &
-                                       o_LWdn200clr, o_sols, o_sols0, &
-                                       o_soll, o_radsol, o_soll0, o_SWupSFC, &
-                                       o_SWupSFCclr, o_SWdnSFC, o_SWdnSFCclr, &
-                                       o_LWupSFC, o_LWdnSFC, o_LWupSFCclr, &
-                                       o_LWdnSFCclr, o_bils, o_bils_diss, &
-                                       o_bils_ec, o_bils_tke, o_bils_kinetic, &
-                                       o_bils_latent, o_bils_enthalp, o_sens, &
-                                       o_fder, o_ffonte, o_fqcalving, o_fqfonte, &
-                                       o_taux, o_tauy, o_snowsrf, o_qsnow, &
-                                       o_snowhgt, o_toice, o_sissnow, o_runoff, &
-                                       o_albslw3, o_pourc_srf, o_fract_srf, &
-                                       o_taux_srf, o_tauy_srf, o_tsol_srf, &
-                                       o_evappot_srf, o_ustar_srf, o_u10m_srf, &
-                                       o_v10m_srf, o_t2m_srf, o_evap_srf, &
-                                       o_sens_srf, o_lat_srf, o_flw_srf, &
-                                       o_fsw_srf, o_wbils_srf, o_wbilo_srf, &
-                                       o_tke_srf, o_tke_max_srf, o_wstar, &
-                                       o_cdrm, o_cdrh, o_cldl, o_cldm, o_cldh, &
-                                       o_cldt, o_cldq, o_lwp, o_iwp, o_ue, &
-                                       o_ve, o_uq, o_vq, o_cape, o_pbase, &
-                                       o_ptop, o_fbase, o_plcl, o_plfc, &
-                                       o_wbeff, o_cape_max, o_upwd, o_Ma, &
-                                       o_dnwd, o_dnwd0, o_ftime_con, o_mc, &
-                                       o_prw, o_s_pblh, o_s_pblt, o_s_lcl, &
-                                       o_s_therm, o_uSTDlevs, o_vSTDlevs, &
-                                       o_wSTDlevs, o_zSTDlevs, o_qSTDlevs, &
-                                       o_tSTDlevs, epsfra, o_t_oce_sic, &
-                                       o_ale_bl, o_alp_bl, o_ale_wk, o_alp_wk, &
-                                       o_ale, o_alp, o_cin, o_WAPE, o_wake_h, &
-                                       o_wake_s, o_wake_deltat, o_wake_deltaq, &
-                                       o_wake_omg, o_dtwak, o_dqwak, o_Vprecip, &
-                                       o_ftd, o_fqd, o_wdtrainA, o_wdtrainM, &
-                                       o_n2, o_s2, o_proba_notrig, &
-                                       o_random_notrig, o_ale_bl_stat, &
-                                       o_ale_bl_trig, o_alp_bl_det, &
-                                       o_alp_bl_fluct_m, o_alp_bl_fluct_tke, &
-                                       o_alp_bl_conv, o_alp_bl_stat, o_slab_bils, &
-                                       o_weakinv, o_dthmin, o_cldtau, &
-                                       o_cldemi, o_pr_con_l, o_pr_con_i, &
-                                       o_pr_lsc_l, o_pr_lsc_i, o_re, o_fl, &
-                                       o_rh2m, o_rh2m_min, o_rh2m_max, &
-                                       o_qsat2m, o_tpot, o_tpote, o_SWnetOR, &
-                                       o_SWdownOR, o_LWdownOR, o_snowl, &
-                                       o_solldown, o_dtsvdfo, o_dtsvdft, &
-                                       o_dtsvdfg, o_dtsvdfi, o_rugs, o_od550aer, &
-                                       o_od865aer, o_absvisaer, o_od550lt1aer, &
-                                       o_sconcso4, o_sconcoa, o_sconcbc, &
-                                       o_sconcss, o_sconcdust, o_concso4, &
-                                       o_concoa, o_concbc, o_concss, o_concdust, &
-                                       o_loadso4, o_loadoa, o_loadbc, o_loadss, &
-                                       o_loaddust, o_tausumaero, o_topswad, &
-                                       o_topswad0, o_solswad, o_solswad0, &
-                                       o_swtoaas_nat, o_swsrfas_nat, &
-                                       o_swtoacs_nat, o_swtoaas_ant, &
-                                       o_swsrfas_ant, o_swtoacs_ant, &
-                                       o_swsrfcs_ant, o_swtoacf_nat, &
-                                       o_swsrfcf_nat, o_swtoacf_ant, &
-                                       o_swsrfcs_nat, o_swsrfcf_ant, &
-                                       o_swtoacf_zero, o_swsrfcf_zero, &
-                                       o_topswai, o_solswai, o_scdnc, &
-                                       o_cldncl, o_reffclws, o_reffclwc, &
-                                       o_cldnvi, o_lcc, o_lcc3d, o_lcc3dcon, &
-                                       o_lcc3dstra, o_reffclwtop, o_ec550aer, &
-                                       o_lwcon, o_iwcon, o_temp, o_theta, &
-                                       o_ovapinit, o_ovap, o_oliq, o_geop, &
-                                       o_vitu, o_vitv, o_vitw, o_pres, o_paprs, &
-                                       o_zfull, o_zhalf, o_rneb, o_rnebcon, &
-                                       o_rnebls, o_rhum, o_ozone, o_ozone_light, &
-                                       o_dtphy, o_dqphy, o_albe_srf, o_rugs_srf, &
-                                       o_ages_srf, o_alb1, o_alb2, o_tke, &
-                                       o_tke_max, o_kz, o_kz_max, o_clwcon, &
-                                       o_dtdyn, o_dqdyn, o_dudyn, o_dvdyn, &
-                                       o_dtcon, o_tntc, o_ducon, o_dvcon, &
-                                       o_dqcon, o_tnhusc, o_tnhusc, o_dtlsc, &
-                                       o_dtlschr, o_dqlsc, o_beta_prec, &
-                                       o_dtlscth, o_dtlscst, o_dqlscth, &
-                                       o_dqlscst, o_plulth, o_plulst, &
-                                       o_ptconvth, o_lmaxth, o_dtvdf, &
-                                       o_dtdis, o_dqvdf, o_dteva, o_dqeva, &
-                                       o_ptconv, o_ratqs, o_dtthe, o_ftime_th, &
-                                       o_f_th, o_e_th, o_w_th, o_q_th, &
-                                       o_a_th, o_d_th, o_f0_th, o_zmax_th, &
-                                       o_dqthe, o_dtajs, o_dqajs, o_dtswr, &
-                                       o_dtsw0, o_dtlwr, o_dtlw0, o_dtec, &
-                                       o_duvdf, o_dvvdf, o_duoro, o_dvoro, &
-                                       o_dtoro, o_dulif, o_dvlif, o_dtlif, &
-                                       o_duhin, o_dvhin, o_dthin, o_rsu, &
-                                       o_rsd, o_rlu, o_rld, o_rsucs, o_rsdcs, &
-                                       o_rlucs, o_rldcs, o_tnt, o_tntr, &
-                                       o_tntscpbl, o_tnhus, o_tnhusscpbl, &
-                                       o_evu, o_h2o, o_mcd, o_dmc, o_ref_liq, &
-                                       o_ref_ice, o_rsut4co2, o_rlut4co2, &
-                                       o_rsutcs4co2, o_rlutcs4co2, o_rsu4co2, &
-                                       o_rlu4co2, o_rsucs4co2, o_rlucs4co2, &
-                                       o_rsd4co2, o_rld4co2, o_rsdcs4co2, &
-                                       o_rldcs4co2, o_tnondef, o_ta, o_zg, &
-                                       o_hus, o_hur, o_ua, o_va, o_wap, &
-                                       o_psbg, o_tro3, o_tro3_daylight, &
-                                       o_uxv, o_vxq, o_vxT, o_wxq, o_vxphi, &
-                                       o_wxT, o_uxu, o_vxv, o_TxT, o_trac, &
-                                       o_dtr_vdf, o_dtr_the, o_dtr_con, &
-                                       o_dtr_lessi_impa, o_dtr_lessi_nucl, &
-                                       o_dtr_insc, o_dtr_bcscav, o_dtr_evapls, &
-                                       o_dtr_ls, o_dtr_trsp, o_dtr_sscav, &
-                                       o_dtr_sat, o_dtr_uscav, o_trac_cum
+         is_ave, is_sic, o_contfracATM, o_contfracOR, &
+         o_aireTER, o_flat, o_slp, o_tsol, &
+         o_t2m, o_t2m_min, o_t2m_max, &
+         o_q2m, o_ustar, o_u10m, o_v10m, &
+         o_wind10m, o_wind10max, o_sicf, &
+         o_psol, o_mass, o_qsurf, o_qsol, &
+         o_precip, o_ndayrain, o_plul, o_pluc, &
+         o_snow, o_msnow, o_fsnow, o_evap, &
+         o_tops, o_tops0, o_topl, o_topl0, &
+         o_SWupTOA, o_SWupTOAclr, o_SWdnTOA, &
+         o_SWdnTOAclr, o_nettop, o_SWup200, &
+         o_SWup200clr, o_SWdn200, o_SWdn200clr, &
+         o_LWup200, o_LWup200clr, o_LWdn200, &
+         o_LWdn200clr, o_sols, o_sols0, &
+         o_soll, o_radsol, o_soll0, o_SWupSFC, &
+         o_SWupSFCclr, o_SWdnSFC, o_SWdnSFCclr, &
+         o_LWupSFC, o_LWdnSFC, o_LWupSFCclr, &
+         o_LWdnSFCclr, o_bils, o_bils_diss, &
+         o_bils_ec, o_bils_tke, o_bils_kinetic, &
+         o_bils_latent, o_bils_enthalp, o_sens, &
+         o_fder, o_ffonte, o_fqcalving, o_fqfonte, &
+         o_taux, o_tauy, o_snowsrf, o_qsnow, &
+         o_snowhgt, o_toice, o_sissnow, o_runoff, &
+         o_albslw3, o_pourc_srf, o_fract_srf, &
+         o_taux_srf, o_tauy_srf, o_tsol_srf, &
+         o_evappot_srf, o_ustar_srf, o_u10m_srf, &
+         o_v10m_srf, o_t2m_srf, o_evap_srf, &
+         o_sens_srf, o_lat_srf, o_flw_srf, &
+         o_fsw_srf, o_wbils_srf, o_wbilo_srf, &
+         o_tke_srf, o_tke_max_srf, o_wstar, &
+         o_cdrm, o_cdrh, o_cldl, o_cldm, o_cldh, &
+         o_cldt, o_cldq, o_lwp, o_iwp, o_ue, &
+         o_ve, o_uq, o_vq, o_cape, o_pbase, &
+         o_ptop, o_fbase, o_plcl, o_plfc, &
+         o_wbeff, o_cape_max, o_upwd, o_Ma, &
+         o_dnwd, o_dnwd0, o_ftime_con, o_mc, &
+         o_prw, o_s_pblh, o_s_pblt, o_s_lcl, &
+         o_s_therm, o_uSTDlevs, o_vSTDlevs, &
+         o_wSTDlevs, o_zSTDlevs, o_qSTDlevs, &
+         o_tSTDlevs, epsfra, o_t_oce_sic, &
+         o_ale_bl, o_alp_bl, o_ale_wk, o_alp_wk, &
+         o_ale, o_alp, o_cin, o_WAPE, o_wake_h, &
+         o_wake_s, o_wake_deltat, o_wake_deltaq, &
+         o_wake_omg, o_dtwak, o_dqwak, o_Vprecip, &
+         o_ftd, o_fqd, o_wdtrainA, o_wdtrainM, &
+         o_n2, o_s2, o_proba_notrig, &
+         o_random_notrig, o_ale_bl_stat, &
+         o_ale_bl_trig, o_alp_bl_det, &
+         o_alp_bl_fluct_m, o_alp_bl_fluct_tke, &
+         o_alp_bl_conv, o_alp_bl_stat, o_slab_bils, &
+         o_weakinv, o_dthmin, o_cldtau, &
+         o_cldemi, o_pr_con_l, o_pr_con_i, &
+         o_pr_lsc_l, o_pr_lsc_i, o_re, o_fl, &
+         o_rh2m, o_rh2m_min, o_rh2m_max, &
+         o_qsat2m, o_tpot, o_tpote, o_SWnetOR, &
+         o_SWdownOR, o_LWdownOR, o_snowl, &
+         o_solldown, o_dtsvdfo, o_dtsvdft, &
+         o_dtsvdfg, o_dtsvdfi, o_rugs, o_od550aer, &
+         o_od865aer, o_absvisaer, o_od550lt1aer, &
+         o_sconcso4, o_sconcoa, o_sconcbc, &
+         o_sconcss, o_sconcdust, o_concso4, &
+         o_concoa, o_concbc, o_concss, o_concdust, &
+         o_loadso4, o_loadoa, o_loadbc, o_loadss, &
+         o_loaddust, o_tausumaero, o_topswad, &
+         o_topswad0, o_solswad, o_solswad0, &
+         o_swtoaas_nat, o_swsrfas_nat, &
+         o_swtoacs_nat, o_swtoaas_ant, &
+         o_swsrfas_ant, o_swtoacs_ant, &
+         o_swsrfcs_ant, o_swtoacf_nat, &
+         o_swsrfcf_nat, o_swtoacf_ant, &
+         o_swsrfcs_nat, o_swsrfcf_ant, &
+         o_swtoacf_zero, o_swsrfcf_zero, &
+         o_topswai, o_solswai, o_scdnc, &
+         o_cldncl, o_reffclws, o_reffclwc, &
+         o_cldnvi, o_lcc, o_lcc3d, o_lcc3dcon, &
+         o_lcc3dstra, o_reffclwtop, o_ec550aer, &
+         o_lwcon, o_iwcon, o_temp, o_theta, &
+         o_ovapinit, o_ovap, o_oliq, o_geop, &
+         o_vitu, o_vitv, o_vitw, o_pres, o_paprs, &
+         o_zfull, o_zhalf, o_rneb, o_rnebcon, &
+         o_rnebls, o_rhum, o_ozone, o_ozone_light, &
+         o_dtphy, o_dqphy, o_albe_srf, o_rugs_srf, &
+         o_ages_srf, o_alb1, o_alb2, o_tke, &
+         o_tke_max, o_kz, o_kz_max, o_clwcon, &
+         o_dtdyn, o_dqdyn, o_dudyn, o_dvdyn, &
+         o_dtcon, o_tntc, o_ducon, o_dvcon, &
+         o_dqcon, o_tnhusc, o_tnhusc, o_dtlsc, &
+         o_dtlschr, o_dqlsc, o_beta_prec, &
+         o_dtlscth, o_dtlscst, o_dqlscth, &
+         o_dqlscst, o_plulth, o_plulst, &
+         o_ptconvth, o_lmaxth, o_dtvdf, &
+         o_dtdis, o_dqvdf, o_dteva, o_dqeva, &
+         o_ptconv, o_ratqs, o_dtthe, o_ftime_th, &
+         o_f_th, o_e_th, o_w_th, o_q_th, &
+         o_a_th, o_d_th, o_f0_th, o_zmax_th, &
+         o_dqthe, o_dtajs, o_dqajs, o_dtswr, &
+         o_dtsw0, o_dtlwr, o_dtlw0, o_dtec, &
+         o_duvdf, o_dvvdf, o_duoro, o_dvoro, &
+         o_dtoro, o_dulif, o_dvlif, o_dtlif, &
+         o_duhin, o_dvhin, o_dthin, o_rsu, &
+         o_rsd, o_rlu, o_rld, o_rsucs, o_rsdcs, &
+         o_rlucs, o_rldcs, o_tnt, o_tntr, &
+         o_tntscpbl, o_tnhus, o_tnhusscpbl, &
+         o_evu, o_h2o, o_mcd, o_dmc, o_ref_liq, &
+         o_ref_ice, o_rsut4co2, o_rlut4co2, &
+         o_rsutcs4co2, o_rlutcs4co2, o_rsu4co2, &
+         o_rlu4co2, o_rsucs4co2, o_rlucs4co2, &
+         o_rsd4co2, o_rld4co2, o_rsdcs4co2, &
+         o_rldcs4co2, o_tnondef, o_ta, o_zg, &
+         o_hus, o_hur, o_ua, o_va, o_wap, &
+         o_psbg, o_tro3, o_tro3_daylight, &
+         o_uxv, o_vxq, o_vxT, o_wxq, o_vxphi, &
+         o_wxT, o_uxu, o_vxv, o_TxT, o_trac, &
+         o_dtr_vdf, o_dtr_the, o_dtr_con, &
+         o_dtr_lessi_impa, o_dtr_lessi_nucl, &
+         o_dtr_insc, o_dtr_bcscav, o_dtr_evapls, &
+         o_dtr_ls, o_dtr_trsp, o_dtr_sscav, &
+         o_dtr_sat, o_dtr_uscav, o_trac_cum
 
     USE phys_state_var_mod, only: pctsrf, paire_ter, rain_fall, snow_fall, &
-                                  nday_rain, rain_con, snow_con, &
-                                  topsw, toplw, toplw0, swup, swdn, &
-                                  topsw0, swup0, swdn0, SWup200, SWup200clr, &
-                                  SWdn200, SWdn200clr, LWup200, LWup200clr, &
-                                  LWdn200, LWdn200clr, solsw, solsw0, sollw, &
-                                  radsol, sollw0, sollwdown, sollw, &
-                                  sollwdownclr, lwdn0, ftsol, ustar, u10m, &
-                                  v10m, pbl_tke, wstar, cape, ema_pcb, ema_pct, &
-                                  ema_cbmf, Ma, fm_therm, ale_bl, alp_bl, ale, &
-                                  alp, cin, wake_pe, wake_s, wake_deltat, &
-                                  wake_deltaq, ftd, fqd, ale_bl_trig, albsol1, &
-                                  rnebcon, wo, falb1, albsol2, coefh, clwcon0, &
-                                  ratqs, entr_therm, zqasc, detr_therm, f0, heat, &
-                                  heat0, cool, cool0, lwup, lwdn, lwup0, coefm, &
-                                  swupp, lwupp, swup0p, lwup0p, swdnp, lwdnp, &
-                                  swdn0p, lwdn0p, tnondef, O3sumSTD, uvsumSTD, &
-                                  vqsumSTD, vTsumSTD, O3daysumSTD, wqsumSTD, &
-                                  vphisumSTD, wTsumSTD, u2sumSTD, v2sumSTD, &
-                                  T2sumSTD, nlevSTD
-                                  
+         nday_rain, rain_con, snow_con, &
+         topsw, toplw, toplw0, swup, swdn, &
+         topsw0, swup0, swdn0, SWup200, SWup200clr, &
+         SWdn200, SWdn200clr, LWup200, LWup200clr, &
+         LWdn200, LWdn200clr, solsw, solsw0, sollw, &
+         radsol, sollw0, sollwdown, sollw, &
+         sollwdownclr, lwdn0, ftsol, ustar, u10m, &
+         v10m, pbl_tke, wstar, cape, ema_pcb, ema_pct, &
+         ema_cbmf, Ma, fm_therm, ale_bl, alp_bl, ale, &
+         alp, cin, wake_pe, wake_s, wake_deltat, &
+         wake_deltaq, ftd, fqd, ale_bl_trig, albsol1, &
+         rnebcon, wo, falb1, albsol2, coefh, clwcon0, &
+         ratqs, entr_therm, zqasc, detr_therm, f0, heat, &
+         heat0, cool, cool0, lwup, lwdn, lwup0, coefm, &
+         swupp, lwupp, swup0p, lwup0p, swdnp, lwdnp, &
+         swdn0p, lwdn0p, tnondef, O3sumSTD, uvsumSTD, &
+         vqsumSTD, vTsumSTD, O3daysumSTD, wqsumSTD, &
+         vphisumSTD, wTsumSTD, u2sumSTD, v2sumSTD, &
+         T2sumSTD, nlevSTD
+
     USE phys_local_var_mod, only: zxfluxlat, slp, zxtsol, zt2m, &
-                                  zu10m, zv10m, zq2m, zustar, zxqsurf, qsol, &
-                                  rain_lsc, snow_lsc, evap, bils, sens, fder, &
-                                  zxffonte, zxfqcalving, zxfqfonte, fluxu, &
-                                  fluxv, zxsnow, qsnow, snowhgt, to_ice, &
-                                  sissnow, runoff, albsol3_lic, evap_pot, &
-                                  t2m, fevap, fluxt, fluxlat, fsollw, fsolsw, &
-                                  wfbils, wfbilo, cdragm, cdragh, cldl, cldm, &
-                                  cldh, cldt, cldq, flwp, fiwp, ue, ve, uq, vq, &
-                                  plcl, plfc, wbeff, upwd, dnwd, dnwd0, prw, &
-                                  s_pblh, s_pblt, s_lcl, s_therm, uwriteSTD, &
-                                  vwriteSTD, wwriteSTD, phiwriteSTD, qwriteSTD, &
-                                  twriteSTD, ale_wake, alp_wake, wake_h, &
-                                  wake_omg, d_t_wake, d_q_wake, Vprecip, &
-                                  wdtrainA, wdtrainM, n2, s2, proba_notrig, &
-                                  random_notrig, ale_bl_stat, &
-                                  alp_bl_det, alp_bl_fluct_m, alp_bl_conv, &
-                                  alp_bl_stat, alp_bl_fluct_tke, slab_wfbils, &
-                                  weak_inversion, dthmin, cldtau, cldemi, &
-                                  pmflxr, pmflxs, prfl, psfl, re, fl, rh2m, &
-                                  qsat2m, tpote, tpot, d_ts, zxrugs, od550aer, &
-                                  od865aer, absvisaer, od550lt1aer, sconcso4, &
-                                  sconcoa, sconcbc, sconcss, sconcdust, concso4, &
-                                  concoa, concbc, concss, concdust, loadso4, &
-                                  loadoa, loadbc, loadss, loaddust, tausum_aero, &
-                                  topswad_aero, topswad0_aero, solswad_aero, &
-                                  solswad0_aero, topsw_aero, solsw_aero, &
-                                  topsw0_aero, solsw0_aero, topswcf_aero, &
-                                  solswcf_aero, topswai_aero, solswai_aero, &
-                                  scdnc, cldncl, reffclws, reffclwc, cldnvi, &
-                                  lcc, lcc3d, lcc3dcon, lcc3dstra, reffclwtop, &
-                                  ec550aer, flwc, fiwc, t_seri, theta, q_seri, &
-                                  ql_seri, zphi, u_seri, v_seri, omega, cldfra, &
-                                  rneb, zx_rh, frugs, agesno, d_t_dyn, d_q_dyn, &
-                                  d_u_dyn, d_v_dyn, d_t_con, d_t_ajsb, d_t_ajs, &
-                                  d_u_con, d_v_con, d_q_con, d_q_ajs, d_t_lsc, &
-                                  d_t_eva, d_q_lsc, beta_prec, d_t_lscth, &
-                                  d_t_lscst, d_q_lscth, d_q_lscst, plul_th, &
-                                  plul_st, d_t_vdf, d_t_diss, d_q_vdf, d_q_eva, &
-                                  zw2, fraca, zmax_th, d_q_ajsb, d_t_ec, d_u_vdf, &
-                                  d_v_vdf, d_u_oro, d_v_oro, d_t_oro, d_u_lif, &
-                                  d_v_lif, d_t_lif, d_u_hin, d_v_hin, d_t_hin, &
-                                  pmfd, pmfu, ref_liq, ref_ice, rhwriteSTD
-    
+         zu10m, zv10m, zq2m, zustar, zxqsurf, qsol, &
+         rain_lsc, snow_lsc, evap, bils, sens, fder, &
+         zxffonte, zxfqcalving, zxfqfonte, fluxu, &
+         fluxv, zxsnow, qsnow, snowhgt, to_ice, &
+         sissnow, runoff, albsol3_lic, evap_pot, &
+         t2m, fevap, fluxt, fluxlat, fsollw, fsolsw, &
+         wfbils, wfbilo, cdragm, cdragh, cldl, cldm, &
+         cldh, cldt, cldq, flwp, fiwp, ue, ve, uq, vq, &
+         plcl, plfc, wbeff, upwd, dnwd, dnwd0, prw, &
+         s_pblh, s_pblt, s_lcl, s_therm, uwriteSTD, &
+         vwriteSTD, wwriteSTD, phiwriteSTD, qwriteSTD, &
+         twriteSTD, ale_wake, alp_wake, wake_h, &
+         wake_omg, d_t_wake, d_q_wake, Vprecip, &
+         wdtrainA, wdtrainM, n2, s2, proba_notrig, &
+         random_notrig, ale_bl_stat, &
+         alp_bl_det, alp_bl_fluct_m, alp_bl_conv, &
+         alp_bl_stat, alp_bl_fluct_tke, slab_wfbils, &
+         weak_inversion, dthmin, cldtau, cldemi, &
+         pmflxr, pmflxs, prfl, psfl, re, fl, rh2m, &
+         qsat2m, tpote, tpot, d_ts, zxrugs, od550aer, &
+         od865aer, absvisaer, od550lt1aer, sconcso4, &
+         sconcoa, sconcbc, sconcss, sconcdust, concso4, &
+         concoa, concbc, concss, concdust, loadso4, &
+         loadoa, loadbc, loadss, loaddust, tausum_aero, &
+         topswad_aero, topswad0_aero, solswad_aero, &
+         solswad0_aero, topsw_aero, solsw_aero, &
+         topsw0_aero, solsw0_aero, topswcf_aero, &
+         solswcf_aero, topswai_aero, solswai_aero, &
+         scdnc, cldncl, reffclws, reffclwc, cldnvi, &
+         lcc, lcc3d, lcc3dcon, lcc3dstra, reffclwtop, &
+         ec550aer, flwc, fiwc, t_seri, theta, q_seri, &
+         ql_seri, zphi, u_seri, v_seri, omega, cldfra, &
+         rneb, zx_rh, frugs, agesno, d_t_dyn, d_q_dyn, &
+         d_u_dyn, d_v_dyn, d_t_con, d_t_ajsb, d_t_ajs, &
+         d_u_con, d_v_con, d_q_con, d_q_ajs, d_t_lsc, &
+         d_t_eva, d_q_lsc, beta_prec, d_t_lscth, &
+         d_t_lscst, d_q_lscth, d_q_lscst, plul_th, &
+         plul_st, d_t_vdf, d_t_diss, d_q_vdf, d_q_eva, &
+         zw2, fraca, zmax_th, d_q_ajsb, d_t_ec, d_u_vdf, &
+         d_v_vdf, d_u_oro, d_v_oro, d_t_oro, d_u_lif, &
+         d_v_lif, d_t_lif, d_u_hin, d_v_hin, d_t_hin, &
+         pmfd, pmfu, ref_liq, ref_ice, rhwriteSTD
+
     USE phys_output_var_mod, only: vars_defined, snow_o, zfra_o, bils_diss, &
-                                   bils_ec, bils_tke, bils_kinetic, bils_latent, &
-                                   bils_enthalp, itau_con, nfiles, clef_files, &
-                                   nid_files
+         bils_ec, bils_tke, bils_kinetic, bils_latent, &
+         bils_enthalp, itau_con, nfiles, clef_files, &
+         nid_files
     USE indice_sol_mod, only: nbsrf
     USE infotrac, only: nqtot
@@ -228,5 +226,5 @@
 #ifdef CPP_XIOS
     ! ug Pour les sorties XIOS
-	USE wxios, only: wxios_update_calendar, wxios_closedef
+    USE wxios, only: wxios_update_calendar, wxios_closedef
 #endif
 
@@ -241,5 +239,5 @@
     include "iniprint.h"
 
-! Input
+    ! Input
     INTEGER :: itap, ivap, read_climoz
     INTEGER, DIMENSION(klon) :: lmax_th
@@ -257,5 +255,5 @@
     REAL, DIMENSION(3) :: freq_moyNMC
 
-! Local
+    ! Local
     INTEGER, PARAMETER :: jjmp1=jjm+1-1/jjm
     INTEGER :: itau_w
